## kalternatives 0.13

=== CMakeLists.txt ===
project(kalternatives)

# Search KDE installation
find_package(KDE4 REQUIRED)
include(KDE4Defaults)

add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
include_directories(${KDE4_INCLUDES})

string(TOLOWER "${KALTERNATIVES_DISTRO}" _distro)
set(ABOUT_SUBDIR ${_distro})
if (_distro STREQUAL "dpkg")
   set(DISTRO_DPKG TRUE)
elseif (_distro STREQUAL "rpm_2")
   set(DISTRO_RPM_2 TRUE)
elseif (_distro STREQUAL "rpm")
   set(DISTRO_RPM TRUE)
else(_distro STREQUAL "dpkg")
   message(STATUS "A package manager was not set for KAlternatives. Please define KALTERNATIVES_DISTRO with its type (dpkg/rpm/rpm_2).")
endif (_distro STREQUAL "dpkg")

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/src/config-kalternatives.h.cmake
               ${CMAKE_CURRENT_BINARY_DIR}/src/config-kalternatives.h)

add_subdirectory(src)
add_subdirectory(pics)

find_package(Msgfmt REQUIRED)
find_package(Gettext REQUIRED)
add_subdirectory(po)

=== pics/CMakeLists.txt ===
kde4_install_icons(${DATA_INSTALL_DIR}/kalternatives/icons)

=== po/CMakeLists.txt ===
add_subdirectory(en_GB)
add_subdirectory(es)
add_subdirectory(et)
add_subdirectory(fr)
add_subdirectory(gl)
add_subdirectory(nds)
add_subdirectory(pt)
add_subdirectory(pt_BR)
add_subdirectory(ro)
add_subdirectory(sv)
add_subdirectory(tr)
add_subdirectory(uk)

=== src/CMakeLists.txt ===

# kcm

set(kcm_SRCS
  addalternatives.cpp
  alternativemodels.cpp
  altparser.cpp
  kalternatives.cpp
  slavemodel.cpp
  slavewidget.cpp
)
kde4_add_ui_files(kcm_SRCS
  addalternativesui.ui
  mainwindow.ui
  propertieswindow.ui
  slavewidget.ui
)
kde4_add_plugin(kcm_kalternatives ${kcm_SRCS})
target_link_libraries(kcm_kalternatives ${KDE4_KIO_LIBS})
install(TARGETS kcm_kalternatives DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES kalternatives.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== po/en_GB/CMakeLists.txt ===
file(GLOB _po_files *.po)
gettext_process_po_files(en_GB ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files})

=== po/es/CMakeLists.txt ===
file(GLOB _po_files *.po)
gettext_process_po_files(es ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files})

=== po/et/CMakeLists.txt ===
file(GLOB _po_files *.po)
gettext_process_po_files(et ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files})

=== po/fr/CMakeLists.txt ===
file(GLOB _po_files *.po)
gettext_process_po_files(fr ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files})

=== po/gl/CMakeLists.txt ===
file(GLOB _po_files *.po)
gettext_process_po_files(gl ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files})

=== po/nds/CMakeLists.txt ===
file(GLOB _po_files *.po)
gettext_process_po_files(nds ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files})

=== po/pt/CMakeLists.txt ===
file(GLOB _po_files *.po)
gettext_process_po_files(pt ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files})

=== po/pt_BR/CMakeLists.txt ===
file(GLOB _po_files *.po)
gettext_process_po_files(pt_BR ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files})

=== debian/changelog ===
kalternatives (0.13-2ubuntu1) maverick; urgency=low

  * Add kubuntu_01_fix_systemsettings_category.diff changing the parent
    category in systemsettings to a value available in KDE 4.5.
  * Switch to source format 3.0 (quilt).

 -- Felix Geyer <debfx-pkg@fobos.de>  Sun, 15 Aug 2010 23:16:39 +0200

kalternatives (0.13-2fakesync1) maverick; urgency=low

  * Fake sync due to mismatching orig tarball (LP: #591212).

 -- Artur Rona <ari-tczew@tlen.pl>  Tue, 08 Jun 2010 14:18:39 +0200

kalternatives (0.13-2) unstable; urgency=low

  * Add the cmake build dependency, as it is no more provided by kdelibs5-dev.
    (Closes: #581295)
  * Convert to dh7:
    - bump debhelper build dependency to > 7.3.16
    - bump pkg-kde-tools build dependency to >= 0.5
    - remove cdbs build dependency
    - install AUTHORS, NEWS, and README using docs file
  * Bump Standards-Version to 3.8.4, no changes required.
  * Set the source format to 1.0, for now.

 -- Pino Toscano <pino@kde.org>  Wed, 12 May 2010 13:50:03 +0200

kalternatives (0.13-1) unstable; urgency=low

  * New upstream release.
  * Add watch file.

 -- Pino Toscano <pino@kde.org>  Fri, 14 Aug 2009 00:12:34 +0200

kalternatives (0.12-1) unstable; urgency=low

  * Initial release. (Closes: #534507)

 -- Pino Toscano <pino@kde.org>  Fri, 26 Jun 2009 00:23:23 +0200

=== debian/control ===
Source: kalternatives
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Pino Toscano <pino@kde.org>
Build-Depends: debhelper (>= 7.3.16), pkg-kde-tools (>= 0.5),
 cmake, kdelibs5-dev (>= 4:4.2.2)
Standards-Version: 3.8.4

Package: kalternatives
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: man-db
Description: graphical alternatives system configuration tool
 Kalternatives offers a GUI to configure the alternative systems (a
 system that allows you to select one alternative file for many in the
 filesystem).
 Kalternatives is available as KDE configuration module, integrated by default
 into KDE's System Settings.
 .
 This is an advanced GUI of the update-alternatives program shipped with dpkg.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh --with kde $@

override_dh_auto_configure:
	dh_auto_configure --buildsystem=kde -- \
	    -DKALTERNATIVES_DISTRO=dpkg

=== debian/watch ===
version=3
opts="uversionmangle=s/\?PHPSESSID=.*$//" \
  http://kde-apps.org/content/download.php?content=16016&id=1 \
  /CONTENT/content-files/16016-kalternatives_(.*)\.tar\.gz.*
